Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 514 - ESCAPECHARS effectively always on
Summary: ESCAPECHARS effectively always on
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 5.2
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-12-18 12:29 UTC by Göran Uddeborg
Modified: 2014-03-17 02:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-01-25 13:51:41 UTC


Attachments (Terms of Use)

Description Göran Uddeborg 1998-12-18 12:29:07 UTC
In ifup-ppp, if ESCAPECHARS is "yes", the flag "asyncmap
FFFFFFF" is added to the options to pppd.  All characters
will be escaped.  So far so good.  If it is not "yes" no
flag is added, no flag is added.  According to the manual
page for pppd "If no asyncmap option is given, no async
character map will be negotiated for the receive direction;
the peer should then escape all control characters."  Which
means all charactars will STILL be escaped.

It appears to me the correct thing to do in ifup-ppp would
be to add "asyncmap 0" if ESCAPECHARS is "no".

Comment 1 David Lawrence 1998-12-18 21:27:59 UTC
This has been assigned to a developer as a change request.

Comment 2 Jeff Johnson 1999-01-25 13:51:59 UTC
Fixed in initscripts 3.83.


Note You need to log in before you can comment on or make changes to this bug.